from pydantic import BaseModel, EmailStr
from pydantic_mongo import AbstractRepository, ObjectIdField
from datetime import datetime, date

class Tags(BaseModel):
    id: ObjectIdField = None
    name: str
    created_at: datetime = datetime.today()

class TagsOut(BaseModel):
    id: ObjectIdField = None
    name: str


class TagsIn(BaseModel):
    name: str

class TagsIDS(BaseModel):
    ids: list[str]


class TagsRepository(AbstractRepository[Tags]):
    class Meta:
        collection_name = "tags"